Package org.bukkit.metadata

# Enum Class LazyMetadataValue.CacheStrategy

java.lang.Object
java.lang.Enum<LazyMetadataValue.CacheStrategy>
org.bukkit.metadata.LazyMetadataValue.CacheStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<LazyMetadataValue.CacheStrategy>`, `Constable`

Enclosing class:
  LazyMetadataValue

public static enum LazyMetadataValue.CacheStrategy extends Enum<LazyMetadataValue.CacheStrategy>
Describes possible caching strategies for metadata.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CACHE_AFTER_FIRST_EVAL`
Once the metadata value has been evaluated, do not re-evaluate the value until it is manually invalidated.
`CACHE_ETERNALLY`
Once the metadata value has been evaluated, do not re-evaluate the value in spite of manual invalidation.
`NEVER_CACHE`
Re-evaluate the metadata item every time it is requested

## Method Summary

Modifier and Type
Method
Description
`static LazyMetadataValue.CacheStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LazyMetadataValue.CacheStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CACHE_AFTER_FIRST_EVAL

public static final LazyMetadataValue.CacheStrategy CACHE_AFTER_FIRST_EVAL
Once the metadata value has been evaluated, do not re-evaluate the value until it is manually invalidated.

### NEVER_CACHE

public static final LazyMetadataValue.CacheStrategy NEVER_CACHE
Re-evaluate the metadata item every time it is requested

### CACHE_ETERNALLY

public static final LazyMetadataValue.CacheStrategy CACHE_ETERNALLY
Once the metadata value has been evaluated, do not re-evaluate the value in spite of manual invalidation.

## Method Details

### values

public static LazyMetadataValue.CacheStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LazyMetadataValue.CacheStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null